## org.apache.lucene.xmlparser.builders
Interface SpanQueryBuilder

All Superinterfaces:
  QueryBuilder

All Known Implementing Classes:
  BoostingTermBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder

    public interface SpanQueryBuilder

extends QueryBuilder

Method Summary
`org.apache.lucene.search.spans.SpanQuery` `getSpanQuery(Element e)`

Methods inherited from interface org.apache.lucene.xmlparser.QueryBuilder
`getQuery`

Method Detail

### getSpanQuery

    org.apache.lucene.search.spans.SpanQuery getSpanQuery(Element e)
                                                          throws ParserException

  Throws:
    `ParserException`